<? $defines = Zend_Registry::get('defines') ?>
<?php
function ___does_provide_service($svcs, $svc_id) {
    foreach ( $svcs as $svc ) {
        if ( $svc['service_id'] == $svc_id ) return true;
    }

    return false;
}
?>
<div id="services-step" class="form-wrapper">
    <div class="">
        <span class="step-count">
            Step 4/7
        </span>
        <span class="step-bar">
            <img src="/img/steps/step4.png"/>
        </span>
    </div>

    <form class="form" action="<?= $this->getLink('private-v2-profile') ?>?step=services-step">
        <input type="hidden" name="then"/>
        <input type="hidden" name="session_hash" value="<?= $this->session_hash?>"/>
        <table class="section">
            <thead>
            <th width="20%"><?= __('pv2_section_sexual_orientation')?></th>
            <th width="25%"><?= __('pv2_section_services_offered_for')?> :*</th>
            <th width="55%"><?= __('services_extras_in_advanced_mode')?></th>
            </thead>
            <tbody>
            <tr class="border-bottom-1">
                <td>

                    <dl class="options-vertical">
                        <? foreach ( array(1 => __('heterosexual'), 2 => __('bisexual'), 3 => __('homosexual')) as $id => $opt ): ?>
                            <dt><label for="orientation-<?= $id ?>">
                                    <input id="orientation-<?= $id ?>" type="radio" name="sex_orientation" value="<?= $id ?>"<?= $this->data['sex_orientation'] == $id ? ' checked="checked"' : '' ?> /> <span><?= $opt ?></span></label></dt>
                        <? endforeach ?>
                    </dl>

                </td>
                <td>
                    <dl class="options-vertical">
                        <? foreach ( $this->defines['sex_availability_options'] as $id => $opt ): ?>
                        <div class="inline-block w49percentage">
                                <label for="service-for-<?= $id ?>">
                                    <input id="service-for-<?= $id ?>" type="checkbox" name="sex_availability[]" value="<?= $id ?>"<?= in_array($id, explode(',', $this->data['sex_availability'])) ? ' checked="checked"' : '' ?> />
                                    <span>
                                        <?= $opt ?>
                                    </span>
                                </label>
                        </div>
                        <? endforeach ?>
                    </dl>

                </td>
                <td>
                    <table class="rates-step">
                        <thead>
                            <th width="33%"></th>
                            <th width="33%"></th>
                            <th width="33%"></th>
                        </thead>
                        <tbody>
                        <tr>
                            <? $i = 0; ?>
                            <? foreach ( $this->defines['services']['common'] as $id => $svc ): ?>
                            <? if ( $i >= 12 ){
                                continue;
                            } ?>
                            <? $i++; ?>
                            <td>
                                <div class="service">
                                    <div class="inline-row">
                                        <input id="svc-<?= $id ?>" type="checkbox" name="services[]" value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> />
                                        <label style="width:100px; float: none;" for="svc-<?= $id ?>"><?= $svc ?></label>

                                    </div>
                                </div>
                            </td>

                            <? if ( $i % 3 == 0 ): ?>
                        </tr><tr>
                            <? endif; ?>
                            <? endforeach ?>

                        </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>


            </tr>
            <tr>
                <td colspan="3">
                    <div class="action_buttons">
                        <div>
                            <input type="button" class="next-tab btn" data-value=':next' value="<?= __('next') ?> »">
                        </div>
                        <div>
                            <input type="button" class="next-tab btn white_button" data-value=':back' value="« <?= __('back') ?>">
                        </div>
                    </div>
                </td>
            </tr>

            </tbody>


        </table>
    </form>
</div>

